\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary[patterns]
\begin{document}
\begin{tikzpicture}
  \node (p1) at (0,2) {};
  \node (p2) at (0,1) {};
  \node (p3) at (0,0) {};
  \node (a1) at (2,2) {$A_1$};
  \node (a2) at (2,1) {$A_2$};
  \node (a3) at (2,0) {$A_3$};
  \node (b) at (5,1) {$B$};
  \path[->]
  (p1) edge node[above] {$P(A_1)$} (a1)
  (a1) edge node[pos=0.3,above=-2,sloped] {$P(B|A_1)$} (b)
  (p2) edge node[above] {$P(A_2)$} (a2)
  (a2) edge node[pos=0.3,above=-2,sloped] {$P(B|A_2)$} (b)
  (p3) edge node[above] {$P(A_3)$} (a3)
  (a3) edge node[pos=0.3,above=-2,sloped] {$P(B|A_3)$} (b);
\end{tikzpicture}
\end{document}
